Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.aggregates
Class ColumnInfoRecordsAggregate

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.aggregates.RecordAggregate
              org.apache.poi.hssf.record.aggregates.ColumnInfoRecordsAggregate

    public final class ColumnInfoRecordsAggregate

extends RecordAggregate

Author:
  Glen Stampoultzis

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.poi.hssf.record.aggregates.RecordAggregate
`RecordAggregate.PositionTrackingVisitor, RecordAggregate.RecordVisitor`

Constructor Summary
`ColumnInfoRecordsAggregate()` Creates an empty aggregate
`ColumnInfoRecordsAggregate(RecordStream rs)`

Method Summary
`java.lang.Object` | `clone()` Performs a deep clone of the record
`void` | `collapseColumn(int columnIndex)`
`void` | `expandColumn(int columnIndex)`
`ColumnInfoRecord` | `findColumnInfo(int columnIndex)` Finds the `ColumnInfoRecord` which contains the specified columnIndex
`int` | `getMaxOutlineLevel()`
`void` | `groupColumnRange(int fromColumnIx, int toColumnIx, boolean indent)` Creates an outline group for the specified columns, by setting the level field for each col info record in the range.
`void` | `insertColumn(ColumnInfoRecord col)` Inserts a column into the aggregate (at the end of the list).
`void` | `setColumn(int targetColumnIx, java.lang.Short xfIndex, java.lang.Integer width, java.lang.Integer level, java.lang.Boolean hidden, java.lang.Boolean collapsed)`
`void` | `visitContainedRecords(RecordAggregate.RecordVisitor rv)` Visit each of the atomic BIFF records contained in this `RecordAggregate` in the order that they should be written to file.

Methods inherited from class org.apache.poi.hssf.record.aggregates.RecordAggregate
`getRecordSize, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColumnInfoRecordsAggregate

    public ColumnInfoRecordsAggregate()

  Creates an empty aggregate

### ColumnInfoRecordsAggregate

    public ColumnInfoRecordsAggregate(RecordStream rs)

Method Detail

### clone

    public java.lang.Object clone()

  Performs a deep clone of the record

  Overrides:
    `clone` in class `java.lang.Object`

### insertColumn

    public void insertColumn(ColumnInfoRecord col)

  Inserts a column into the aggregate (at the end of the list).

### visitContainedRecords

    public void visitContainedRecords(RecordAggregate.RecordVisitor rv)

  Description copied from class: `RecordAggregate`
  Visit each of the atomic BIFF records contained in this `RecordAggregate` in the order that they should be written to file. Implementors may or may not return the actual `Record`s being used to manage POI's internal implementation. Callers should not assume either way, and therefore only attempt to modify those `Record`s after cloning

  Specified by:
    `visitContainedRecords` in class `RecordAggregate`

### collapseColumn

    public void collapseColumn(int columnIndex)

### expandColumn

    public void expandColumn(int columnIndex)

### setColumn

    public void setColumn(int targetColumnIx,
                          java.lang.Short xfIndex,
                          java.lang.Integer width,
                          java.lang.Integer level,
                          java.lang.Boolean hidden,
                          java.lang.Boolean collapsed)

### groupColumnRange

    public void groupColumnRange(int fromColumnIx,
                                 int toColumnIx,
                                 boolean indent)

  Creates an outline group for the specified columns, by setting the level field for each col info record in the range. `ColumnInfoRecord`s may be created, split or merged as a result of this operation.

  Parameters:
    `fromColumnIx` - group from this column (inclusive)
    `toColumnIx` - group to this column (inclusive)
    `indent` - if `true` the group will be indented by one level, if `false` indenting will be decreased by one level.

### findColumnInfo

    public ColumnInfoRecord findColumnInfo(int columnIndex)

  Finds the `ColumnInfoRecord` which contains the specified columnIndex

  Parameters:
    `columnIndex` - index of the column (not the index of the ColumnInfoRecord)
  Returns:
    `null` if no column info found for the specified column

### getMaxOutlineLevel

    public int getMaxOutlineLevel()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.